commit: d09001707cb2b03c4cefccb63e1b5293c23aa59a
Author: syderitic <onun23 <AT> gmail <DOT> com>
AuthorDate: Sun Dec 4 22:38:37 2016 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec 20 17:51:17 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0900170
cuda.eclass: fix g++ check
Currently the check against *g++* doesn't work, thus the NVCCFLAGS
are never set accordingly.
The check for gnu is now made through tc-is-gcc.
eclass/cuda.eclass | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/eclass/cuda.eclass b/eclass/cuda.eclass
index f8d7188..cc92a34 100644
--- a/eclass/cuda.eclass
+++ b/eclass/cuda.eclass
@@ -47,7 +47,7 @@ cuda_gccdir() {
local gcc_bindir ver args="" flag ret
# Currently we only support the gnu compiler suite
- if [[ $(tc-getCXX) != *g++* ]]; then
+ if ! tc-is-gcc ; then
ewarn "Currently we only support the gnu compiler suite"
return 2
fi